package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.OutputValueRatio;
import com.lightinit.hsdatashow.entity.OutputValueRatioExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OutputValueRatioMapper {
    long countByExample(OutputValueRatioExample example);

    int deleteByExample(OutputValueRatioExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OutputValueRatio record);

    int insertSelective(OutputValueRatio record);

    List<OutputValueRatio> selectByExample(OutputValueRatioExample example);

    OutputValueRatio selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OutputValueRatio record, @Param("example") OutputValueRatioExample example);

    int updateByExample(@Param("record") OutputValueRatio record, @Param("example") OutputValueRatioExample example);

    int updateByPrimaryKeySelective(OutputValueRatio record);

    int updateByPrimaryKey(OutputValueRatio record);
}